<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: photo_converter.php
| CVS Version: 1.00
| Author: bartek124
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

if (!checkrights("PGC") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

if (file_exists(INFUSIONS."photogallery_converter/locale/".$settings['locale'].".php")) {
	include INFUSIONS."photogallery_converter/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."photogallery_converter/locale/Polish.php";
}


if(@ini_get("safe_mode")) {
	$status = $locale['pgc_sm1'];
	define("SAFEMODE", true);
} else {
	$status = $locale['pgc_sm2'];
	define("SAFEMODE", false);
}


if(isset($_POST['convert'])) {
	if(isset($_POST['gallery_id'])) {
		$result = dbquery("SELECT album_id, photo_filename, photo_thumb1, photo_thumb2 FROM ".DB_PHOTOS." WHERE album_id='".$_POST['gallery_id']."'");
		if(dbrows($result) != 0) {
			if(!SAFEMODE) {
				//sciezka do albumu
				$old_dest = PHOTOS;
				$new_dest = PHOTOS."album_".$_POST['gallery_id']."/";
				
				//robimy katalog
				if(!file_exists(PHOTOS."album_".$_POST['gallery_id'])) {
					mkdir(PHOTOS."album_".$_POST['gallery_id'], 0755);
				} else {
					@chmod(PHOTOS."album_".$_POST['gallery_id'], 0755);
				}
				
				//tworzymy i ustawiamy chmody plikowi index.php
				@copy(IMAGES."index.php", $new_dest."index.php");
				@chmod($new_dest."index.php", 0644);
				
				while($data = dbarray($result)) {
					@rename($old_dest.$data['photo_filename'], $new_dest.$data['photo_filename']);
					@rename($old_dest.$data['photo_thumb1'], $new_dest.$data['photo_thumb1']);
					
					if($data['photo_thumb2'] != '') {
						@rename($old_dest.$data['photo_thumb2'], $new_dest.$data['photo_thumb2']);
						@chmod($new_dest.$data['photo_thumb2'], 0644);
					}
					
					@chmod($new_dest.$data['photo_filename'], 0644);
					@chmod($new_dest.$data['photo_thumb1'], 0644);
				}
			} else {
				//sciezka do albumu
				$old_dest = PHOTOS."album_".$_POST['gallery_id']."/";
				$new_dest = PHOTOS;
				
				while($data = dbarray($result)) {
					if(!file_exists($new_dest.$data['photo_filename'])) { 
						@rename($old_dest.$data['photo_filename'], $new_dest.$data['photo_filename']);
						@rename($old_dest.$data['photo_thumb1'], $new_dest.$data['photo_thumb1']);
					
						if($data['photo_thumb2'] != '') {
							@copy($old_dest.$data['photo_thumb2'], $new_dest.$data['photo_thumb2']);
							@chmod($new_dest.$data['photo_thumb2'], 0644);
						}
						
						@chmod($new_dest.$data['photo_filename'], 0644);
						@chmod($new_dest.$data['photo_thumb1'], 0644);
					} else {
						$photo_name = strtolower(substr($data['photo_filename'], 0, strrpos($data['photo_filename'], ".")));
						$photo_ext = strtolower(strrchr($data['photo_filename'],"."));
						
						$new_photo_file = $photo_name."_".substr(md5(time()), 0, 4).$photo_ext;
						$new_photo_thumb1 = $photo_name."_".substr(md5(time()), 0, 4)."_t1".$photo_ext;
						
						@rename($old_dest.$data['photo_filename'], $new_dest.$new_photo_thumb1);
						@rename($old_dest.$data['photo_thumb1'], $new_dest.$new_photo_thumb1);
					
						if($data['photo_thumb2'] != '') {
							$new_photo_thumb2 = $photo_name."_".substr(md5(time()), 0, 4)."_t2".$photo_ext;
							@copy($old_dest.$data['photo_thumb2'], $new_dest.$new_photo_thumb2);
							@chmod($new_dest.$$new_photo_thumb2, 0644);
						}
					
						@chmod($new_dest.$new_photo_file, 0644);
						@chmod($new_dest.$new_photo_thumb1, 0644);
						$result = dbquery("UPDATE ".DB_PHOTOS." SET photo_filename='$new_photo_file', photo_thumb1='$new_photo_thumb1' ".(isset($new_photo_thumb2) ? ", photo_thumb2='$new_photo_thumb2'" : "")." WHERE album_id='".$_POST['gallery_id']."'");
					}
				}
			}
		} else {
			echo "<div class='admin-message'>".$locale['pgc_err1']."</div>";
		}
	} else {
		echo "<div class='admin-message'>".$locale['pgc_err2']."</div>";
	}
}

$result = dbquery("SELECT pa.album_id, pa.album_title, COUNT(p.photo_id) AS photos FROM ".DB_PHOTO_ALBUMS." pa
LEFT JOIN ".DB_PHOTOS." p ON p.album_id=pa.album_id
GROUP BY album_id
ORDER BY pa.album_order");

opentable($locale['pgc_001']);
echo "<span class='small' style='font-style:italic;'>$status</span>";
echo "<form name='converter' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<table align='center' width='50%' style='margin-top:15px;'>\n";
echo "<tr><th colspan='2'>".$locale['pgc_002']."</th></tr>";

while($data = dbarray($result)) {
	echo "<tr>\n<td align='right' width='50%'>\n";
	echo "<input type='radio' name='gallery_id' value='".$data['album_id']."' />";
	echo "</td>\n<td align='left' width='50%'>\n".$data['album_title']." [".$data['photos']."]";
	echo "</td>\n</tr>\n";
}
echo "<tr>\n<td colspan='2' align='center'>\n";
echo "<br /><br /><input type='submit' name='convert' value='".$locale['pgc_003']."' class='button' style='width:100px;' /></form>";
echo "</td>\n</tr>\n";
echo "</table>";
closetable();

require_once THEMES."templates/footer.php";
?>